[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.ColumnsChanged

Performs actions needed when one or more columns in the grid are changed.

## Declaration

Source position: grids.pas line 1011

`protected procedure TCustomGrid.ColumnsChanged(`
`aColumn: TGridColumn`
`);`

## Arguments

`aColumn` |  | Grid column instance for the notification, or Nil.

## Description

ColumnsChanged is procedure used to perform actions needed when one or more Columns in the grid are changed. AColumn contains the column affected by the change, or signals a change to multiple columns when its value is unassigned (contains Nil).

When AColumn is Nil, the row or column count and/or fixed row or fixed column count has been changed. When AColumn contains a valid TGridColumn instance, the modified column is located in the Columns collection and the VisualChange method is called.

ColumnsChanged is called from methods like: SetFixedCols, SetRowCount, and OnTitleFontChanged. It is also called when the Update method in Columns is called for the TGridColumns collection.

## See also

TCustomGrid.FixedCols |  | The number of fixed columns in the grid.
TCustomGrid.RowCount |  | Number of rows in the grid.
TCustomGrid.Columns |  | Definitions for the columns displayed the grid.
TGridColumns |  | Collection used to store column definitions for a grid control.
TGridColumn |  | Implements a column definition used for tabular data in TCustomGrid.